# Constants for unit conversion to standard units
#
# distance, area, volume
#

# Length
m  = meter
mm = 0.001 * m
cm = 0.01 * m
km = 1000. * m

ft = 12. * inch
mile = 5280. * ft

# Area
m2 = m**2.
mm2 = mm**2.
cm2 = cm**2.
km2 = km**2.

inch2 = inch**2.
ft2 = ft**2.
mile2 = mile**2.

# volume
m3 = m**3.
mm3 = mm**3.
cm3 = cm**3.
km3 = km**3.

inch3 = inch**3.
ft3 = ft**3.
mile3 = mile**3.

# speed / velocity
cmps = cm / sec
mps = m / sec
mph = mile / hour

inchps = inch / sec
ftps = ft / sec

# acceleration
sec2 = sec*sec
mps2 = m / sec2
cmps2 = cm / sec2
inchps2 = inch / sec2
ftps2 = ft / sec2

gravity = g = 9.80665 * mps2

# ton = 1000. * kg

lbm = 0.453592 * kg

# force
N = kg * m / sec2

kN = 1e3 * N

lbf = lbm * g
kip = 1000. * lbf
kips = kip

# Pressure / stress
Pa = N / m2

kPa = 1e3 * Pa
MPa = 1e6 * Pa
GPa = 1e9 * Pa

psi = lbf / inch2
ksi = 1e3 * psi
Mpsi = 1e6 * psi

# Time
sec2 = sec**2.

